/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 
atomic-chain-editor {
  display: block;
  position: relative;
  min-height: 450px;

  //.ngdialog-open & {
  //  overflow: hidden;
  //}

  .table .dropdown-menu {
    font-size: $font-size-small;
    min-width: default;
    > li > a {
      padding: 3px 10px;
      > .fa {
        margin-right: 5px;
      }
    }
  }

  .blankslate {
    padding: 150px 40px;
    text-align: center;
  }

  .preview {
    padding:5px 10px;
    background-color: $alert-info-bg;
    color:$alert-info-text;
    border:1px solid $alert-info-border;
    border-top: 0;
  }

}

.offcanvas-atomic-chain {

  .ngdialog-content {
    padding: 0 !important;
    h3.content-header {
      margin: 0;
      padding: 8px 10px 5px 10px;
      font-size: 16px;
      border-bottom: 1px solid #DDD;
      background: #EEE;
    }
    .content-body {
      padding:5px 10px;

    }
  }

  .operation-list-group {
    margin:0;
    font-size: $font-size-base;
    .list-group-item {
      display: block;
      padding: 3px 15px;
      clear: both;
      font-weight: normal;
      line-height: $line-height-base;
      color: $dropdown-link-color;
      white-space: nowrap; // prevent links from randomly breaking onto new lines
      border:0px;
      margin-bottom: 0px;

      .description {
        font-size: $font-size-small;
        color:#777;
      }

    }
    .list-group-header {
      border:0px;
      background: #EEE;
      border-bottom: 1px solid #DDD;
      padding:10px 10px 5px 10px;
      font-size: $font-size-small;
      line-height: $line-height-base;
      color: $dropdown-header-color !important;
      white-space: nowrap; // as with > li > a
    }
  }

}

